# std::deque< _Tp, _Alloc > Class Template Reference
[Containers, Sequences]

`#include <stl_deque.h>`

List of all members.

## Detailed Description

### template<class _Tp, class _Alloc = allocator<_Tp>>
class std::deque< _Tp, _Alloc >

Meets the requirements of a container, a reversible container, and a sequence, including the optional sequence requirements.

Placeholder: see http://www.sgi.com/tech/stl/Deque.html for now.

In previous HP/SGI versions of deque, there was an extra template parameter so users could control the node size. This extension turned out to violate the C++ standard (it can be detected using template template parameters), and it was removed.

Definition at line 496 of file stl_deque.h.

The documentation for this class was generated from the following file:

- stl_deque.h